Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager
Interface ICommunityManager

All Known Subinterfaces:
  CommunityManager

    public interface ICommunityManager

This is the primary interface to perform operations on a community. All the methods on this interface are internationalized and entitled.

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`void` | `activateCommunity(CustomizationContext customizationContext, CommunityDefinitionId communityDefinitionId, Date expirationDate)` Sets the state of a community to `ACTIVE` for specified time.
`void` | `cleanupDanglingCommunityDesktops()` Cleans up any desktops that are left dangling as a result of updates to the community that point the latter to a different desktop.
`CommunityDefinition` | `createCommunity(CustomizationContext customizationContext, CommunityDefinition communityDefinition)` Creates a community from a streamed desktop or template as specified by the `CommunityDesktop` member of the input `CommunityDefinition`.
`CommunityDefinition` | `createCommunityFromTemplate(CustomizationContext customizationContext, CommunityDefinitionId communityDefinitionId, LocalizationResource communityLocalizationResource, PortalPath portalPath, DesktopPath desktopPath, LocalizationResource desktopLocalizationResource)` Creates a community from a community template.
`CommunityDefinition` | `createCommunityTemplate(CustomizationContext customizationContext, CommunityDefinition communityDefinition)` Creates a community template from an existing streamed desktop or a template as specified by the `CommunityDesktop` member of the input `CommunityDefinition`.
`CommunityDefinition` | `createCommunityTemplate(CustomizationContext customizationContext, CommunityDefinitionId communityDefinitionId, LocalizationResource templateLocalizationResource, PortalPath portalPath, DesktopPath desktopPath, boolean isGlobal)` Creates a template from an existing community.
`void` | `deactivateCommunity(CustomizationContext customizationContext, CommunityDefinitionId communityDefinitionId)` Sets the state of a community to `INACTIVE`.
`void` | `deleteCommunity(CustomizationContext customizationContext, CommunityDefinitionId communityDefinitionId, boolean deleteResources)` Deletes a community.
`void` | `deleteCommunityWithCascade(CustomizationContext customizationContext, CommunityDefinitionId communityDefinitionId)` Deletes a community and all related non-customized and customized resources.
`void` | `disablePersonalPages(CustomizationContext customizationContext, CommunityDefinitionId communityDefinitionId)` Disables a community's ability to allow end users to add personal pages to it.
`void` | `enablePersonalPages(CustomizationContext customizationContext, CommunityDefinitionId communityDefinitionId)` Enables a community to allow end users to add personal pages to it.
`SortableFilterablePagedResult<CommunityDefinition>` | `getCommunitiesPaged(CustomizationContext customizationContext, CommunitySearchCriteria searchCriteria, int pageSize)` Returns a paginated list of CommunityDefinitions hosted in the web application.
`CommunityDefinition` | `getCommunity(CustomizationContext customizationContext, CommunityDefinitionId communityDefinitionId, boolean localize)` Returns a `CommunityDefinition` given a `CommunityDefinitionId`.
`CommunityDefinition` | `getCommunity(CustomizationContext customizationContext, String webAppName, PortalPath portalPath, DesktopPath desktopPath, boolean localize)` Returns the community with a given webapp, portal path and desktop path combination.
`void` | `setCommunityExpirationDate(CustomizationContext customizationContext, CommunityDefinitionId communityDefinitionId, Date expirationDate)` * Sets the expiration date for a community.
`CommunityDefinition` | `updateCommunity(CustomizationContext customizationContext, CommunityDefinitionId communityDefinitionId, CommunityDefinition communityDefinition)` Updates a community.

Method Detail

### getCommunity

    CommunityDefinition getCommunity(CustomizationContext customizationContext,
                                     CommunityDefinitionId communityDefinitionId,
                                     boolean localize)
                                     throws RemoteException

  Returns a `CommunityDefinition` given a `CommunityDefinitionId`. Returns `null` if no community exists that matches `CommunityDefinitionId`.

  Parameters
    `customizationContext` - customization information such as preferred locales. If null, no localization can be performed.
    `communityDefinitionId` - unique `CommunityDefinitionId`
    `localize` - if `true` returns the localized portions of the `CommunityDefinition` like title and description that match locale specified in `CustomizationContext` else just returns a `CommunityDefinition` populated with the `LocalizationIntersectionId` which may be later used to get localized versions of title and description
  Returns
    `CommunityDefinition` matching locale and `CommunityDefinitionId`
  Throws
    `RemoteException`

### getCommunity

    CommunityDefinition getCommunity(CustomizationContext customizationContext,
                                     String webAppName,
                                     PortalPath portalPath,
                                     DesktopPath desktopPath,
                                     boolean localize)
                                     throws RemoteException

  Returns the community with a given webapp, portal path and desktop path combination. Returns `null` if no community exists that matches the combination.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `webAppName` - name of the web application that hosts the desktop
    `portalPath` - portal path for the desktop
    `desktopPath` - desktop path for the desktop
    `localize` - if `true` returns the localized portions of the `CommunityDefinition` like title and description that match locale specified in `CustomizationContext` else just returns a `CommunityDefinition` populated with the `LocalizationIntersectionId` which may be later used to get localized versions of title and description
  Returns
    `CommunityDefinition` for the specified webAppName, portalPath and desktopPath
  Throws
    `RemoteException`

### getCommunitiesPaged

    SortableFilterablePagedResult<CommunityDefinition> getCommunitiesPaged(CustomizationContext customizationContext,
                                                                           CommunitySearchCriteria searchCriteria,
                                                                           int pageSize)
                                                                           throws RemoteException

  Returns a paginated list of CommunityDefinitions hosted in the web application. If this method is being called by a `visitor` user, `CustomizationContext.setVisitorMode(boolean)` should be called with a `true` argument otherwise some or all communities may not be accessible.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `searchCriteria` - a `SearchCriteria` to narrow down the search. If the SearchCriteria is of type `WebAppSearchCriteria`, the webapp name is used as the search parameter. In this case retrieved `CommunityDefinition`s will always be localized. If the type is `CommunitySearchCriteria` then template, global template or localize may also be used as search criteria if `true` returns the localized portions of the `CommunityDefinition`s like title and description that match locale specified in `CustomizationContext` else just returns `CommunityDefinition`s populated with the `LocalizationIntersectionId`s which may be later used to get localized versions of title and description
    `pageSize` - number of `CommunityDefinition`s to be returned per page
  Returns
    a `PageResult` of `CommunityDefinition`s hosted in the web application
  Throws
    `RemoteException`

### createCommunity

    CommunityDefinition createCommunity(CustomizationContext customizationContext,
                                        CommunityDefinition communityDefinition)
                                        throws IllegalArgumentException,
                                               ObjectNotFoundException,
                                               NotEntitledException,
                                               MissingDataException,
                                               DuplicateObjectException,
                                               UnsupportedOperationException,
                                               CommunityCallbackException,
                                               RemoteException

  Creates a community from a streamed desktop or template as specified by the `CommunityDesktop` member of the input `CommunityDefinition`. If the template specifies a community an `UnSupportedOperationException` is thrown directing the user to use `createCommunityFromTemplate`. This is to avoid confusion between what specification to use for the new community - the one in the input `CommunityDefinition` or the one in the community that the template points to.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `communityDefinition` - a `CommunityDefinition` object that holds all information about the community to be created except for the `CommunityDefinitionId`
  Returns
    newly created `CommunityDefinition` with `CommunityDefinitionId` populated
  Throws
    `IllegalArgumentException` - if input `CommunityDefinition` has incorrect information
    `ObjectNotFoundException` - if desktop specified by input arguments does not exist
    `NotEntitledException` - if current user does not have permission to create a new community
    `MissingDataException` - if input `CommunityDefinition` or the desktop it points to is missing information
    `DuplicateObjectException` - if desktop matching portal path and desktop path in CommunityDefinition already exists
    `UnsupportedOperationException` - see method doc above
    `CommunityCallbackException` - if an error occurs while making a callback
    `RemoteException`

### createCommunityFromTemplate

    CommunityDefinition createCommunityFromTemplate(CustomizationContext customizationContext,
                                                    CommunityDefinitionId communityDefinitionId,
                                                    LocalizationResource communityLocalizationResource,
                                                    PortalPath portalPath,
                                                    DesktopPath desktopPath,
                                                    LocalizationResource desktopLocalizationResource)
                                                    throws ObjectNotFoundException,
                                                           IllegalArgumentException,
                                                           NotEntitledException,
                                                           MissingDataException,
                                                           DuplicateObjectException,
                                                           CommunityCallbackException,
                                                           RemoteException

  Creates a community from a community template.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `communityDefinitionId` - `CommunityDefinitionId` of the community template
    `communityLocalizationResource` - optional `LocalizationResource` for the community being created. If `null` `LocalizationResource` from the template will be used
    `portalPath` - portal path for the new desktop to be created
    `desktopPath` - desktop path for the new desktop to be created
    `desktopLocalizationResource` - optional `LocalizationResource` for the desktop being created for the community. If `null` `LocalizationResource` from the template will be used
  Returns
    newly created `CommunityDefinition`
  Throws
    `ObjectNotFoundException` - if specified community template does not exist
    `IllegalArgumentException` - if community specified is not a community template
    `NotEntitledException` - if current user does not have permission to create a new community
    `MissingDataException` - if input `CommunityDefinition` or the desktop it points to is missing information
    `DuplicateObjectException` - if desktop matching input portal path and desktop path already exists
    `CommunityCallbackException` - if an error occurs while making a callback
    `RemoteException`

### createCommunityTemplate

    CommunityDefinition createCommunityTemplate(CustomizationContext customizationContext,
                                                CommunityDefinition communityDefinition)
                                                throws ObjectNotFoundException,
                                                       NotEntitledException,
                                                       MissingDataException,
                                                       DuplicateObjectException,
                                                       UnsupportedOperationException,
                                                       CommunityCallbackException,
                                                       RemoteException

  Creates a community template from an existing streamed desktop or a template as specified by the `CommunityDesktop` member of the input `CommunityDefinition`.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `communityDefinition` - a `CommunityDefinition` object that holds all information about the community template to be created except for the `CommunityDefinitionId`
  Returns
    newly created `CommunityDefition` template with a populated `CommunityDefinitionId`
  Throws
    `ObjectNotFoundException` - if input desktop or template does not exist
    `NotEntitledException` - if current user does not have permission to create a template
    `MissingDataException` - if input `CommunityDefinition` or the desktop it points to is missing information
    `DuplicateObjectException` - if desktop matching input portal path and desktop path already exists
    `CommunityCallbackException` - if an error occurs while making a callback
    `UnsupportedOperationException`
    `RemoteException`

### createCommunityTemplate

    CommunityDefinition createCommunityTemplate(CustomizationContext customizationContext,
                                                CommunityDefinitionId communityDefinitionId,
                                                LocalizationResource templateLocalizationResource,
                                                PortalPath portalPath,
                                                DesktopPath desktopPath,
                                                boolean isGlobal)
                                                throws ObjectNotFoundException,
                                                       NotEntitledException,
                                                       MissingDataException,
                                                       DuplicateObjectException,
                                                       CommunityCallbackException,
                                                       RemoteException

  Creates a template from an existing community.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `communityDefinitionId` - `CommunityDefinitionId` of the community to use to create a template
    `templateLocalizationResource` - optional `LocalizationResource` for the template being created. If `null` `LocalizationResource` from the underlying community will be used
    `portalPath` - portal path for the new desktop to be created
    `desktopPath` - desktop path for the new desktop to be created
    `isGlobal` - `true` if this template is global
  Returns
    newly created `CommunityDefinition` with the isTemplate attribute set to true
  Throws
    `ObjectNotFoundException` - if a `CommunityDefinition` matching input `CommunityDefinitionId` does not exist
    `NotEntitledException` - if current user does not have permission to create a community template
    `MissingDataException` - if input `CommunityDefinition` or the desktop it points to is missing information
    `DuplicateObjectException` - if desktop matching input portal path and desktop path already exists
    `CommunityCallbackException` - if an error occurs while making a callback
    `RemoteException`

### updateCommunity

    CommunityDefinition updateCommunity(CustomizationContext customizationContext,
                                        CommunityDefinitionId communityDefinitionId,
                                        CommunityDefinition communityDefinition)
                                        throws ObjectNotFoundException,
                                               NotEntitledException,
                                               IllegalOperationException,
                                               ObjectInUseException,
                                               RemoteException

  Updates a community.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `communityDefinitionId` - `CommunityDefinitionId` of community to be updated
    `communityDefinition` - community definition with updated attributes
  Returns
    updated `CommunityDefinition` with `CommunityContext` not populated
  Throws
    `ObjectNotFoundException` - if community to be updated does not exist
    `NotEntitledException` - if current user does not have permission to update this community
    `IllegalOperationException` - if part of or all the update is illegal based on the current state of the community for e.g. if the update tries to set expirationDate on or activate a community that is marked as a template
    `ObjectInUseException` - if the update tries to point the community to a desktop that is already in use by another community
    `RemoteException`

### activateCommunity

    void activateCommunity(CustomizationContext customizationContext,
                           CommunityDefinitionId communityDefinitionId,
                           Date expirationDate)
                           throws ObjectNotFoundException,
                                  NotEntitledException,
                                  IllegalOperationException,
                                  CommunityCallbackException,
                                  RemoteException

  Sets the state of a community to `ACTIVE` for specified time. A community in the `ACTIVE` state can accept new members, supports updates and addition of new content.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `communityDefinitionId` - `CommunityDefinitionId` of the community to be activated
    `expirationDate` - expirationDate for community time zone
  Throws
    `ObjectNotFoundException` - if community to be activated does not exist
    `NotEntitledException` - if current user does not have permission to activate this community
    `IllegalOperationException` - if this community is a template or if expirationDate is in the past
    `CommunityCallbackException` - if an error occurs while making a callback
    `RemoteException`

### deactivateCommunity

    void deactivateCommunity(CustomizationContext customizationContext,
                             CommunityDefinitionId communityDefinitionId)
                             throws IllegalArgumentException,
                                    ObjectNotFoundException,
                                    NotEntitledException,
                                    CommunityCallbackException,
                                    RemoteException

  Sets the state of a community to `INACTIVE`. A community in the `INACTIVE` state does not support any interaction excepting that with certain priviledged users.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `communityDefinitionId` - `CommunityDefinitionId` of the community to be deactivated
  Throws
    `ObjectNotFoundException` - if community to be deactivated does not exist
    `NotEntitledException` - if current user does not have permission to deactivate this community
    `CommunityCallbackException` - if an error occurs while making a callback
    `IllegalArgumentException`
    `RemoteException`

### deleteCommunity

    void deleteCommunity(CustomizationContext customizationContext,
                         CommunityDefinitionId communityDefinitionId,
                         boolean deleteResources)
                         throws ObjectNotFoundException,
                                NotEntitledException,
                                RemoteException,
                                IllegalOperationException,
                                CommunityCallbackException,
                                ObjectInUseException

  Deletes a community.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `communityDefinitionId` - `CommunityDefinitionId` of the community to be deleted
    `deleteResources` - if `true` deletes resources related to the community if the community is the only one using them, if `false` - deletes the community only. If this is set to `true` and there exist other users of underlying resources, this method only deletes the community
  Throws
    `ObjectNotFoundException` - if community to be deleted does not exist
    `NotEntitledException` - if current user does not have permission to delete this community
    `IllegalOperationException` - if this community is a template
    `CommunityCallbackException` - if an error occurs while making a callback
    `RemoteException`
    `ObjectInUseException`

### deleteCommunityWithCascade

    void deleteCommunityWithCascade(CustomizationContext customizationContext,
                                    CommunityDefinitionId communityDefinitionId)
                                    throws ObjectNotFoundException,
                                           NotEntitledException,
                                           IllegalOperationException,
                                           CommunityCallbackException,
                                           RemoteException

  Deletes a community and all related non-customized and customized resources.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `communityDefinitionId` - `CommunityDefinitionId` of the community to be deleted
  Throws
    `ObjectNotFoundException` - if community to be deleted does not exist
    `NotEntitledException` - if current user does not have permission to delete this community
    `IllegalOperationException` - if this community is a template
    `CommunityCallbackException` - if an error occurs while making a callback
    `RemoteException`

### setCommunityExpirationDate

    void setCommunityExpirationDate(CustomizationContext customizationContext,
                                    CommunityDefinitionId communityDefinitionId,
                                    Date expirationDate)
                                    throws IllegalArgumentException,
                                           ObjectNotFoundException,
                                           NotEntitledException,
                                           IllegalOperationException,
                                           RemoteException

  * Sets the expiration date for a community. The community is put into the `INACTIVE` once this date has passed. Setting a new expiration date on a community resets the clock and the community stays active until the new expiration date.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `communityDefinitionId` - `CommunityDefinitionId` of the community
    `expirationDate` - expirationDate
  Throws
    `IllegalArgumentException` - if the `expirationDate` is before current date
    `ObjectNotFoundException` - if specified community does not exist
    `NotEntitledException` - if current user does not have permission to set the expirationDate for this community
    `IllegalOperationException` - if this community is a template
    `RemoteException`

### enablePersonalPages

    void enablePersonalPages(CustomizationContext customizationContext,
                             CommunityDefinitionId communityDefinitionId)
                             throws ObjectNotFoundException,
                                    NotEntitledException,
                                    RemoteException

  Enables a community to allow end users to add personal pages to it.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `communityDefinitionId` - `CommunityDefinitionId` of the community
  Throws
    `ObjectNotFoundException` - if specified community does not exist
    `NotEntitledException` - if current user does not have permission to perform this operation
    `RemoteException`

### disablePersonalPages

    void disablePersonalPages(CustomizationContext customizationContext,
                              CommunityDefinitionId communityDefinitionId)
                              throws ObjectNotFoundException,
                                     NotEntitledException,
                                     RemoteException

  Disables a community's ability to allow end users to add personal pages to it.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `communityDefinitionId` - `CommunityDefinitionId` of the community
  Throws
    `ObjectNotFoundException` - if specified community does not exist
    `NotEntitledException` - if current user does not have permission to perform this operation
    `RemoteException`

### cleanupDanglingCommunityDesktops

    void cleanupDanglingCommunityDesktops()
                                          throws RemoteException

  Cleans up any desktops that are left dangling as a result of updates to the community that point the latter to a different desktop.

  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved